import { AxiosError } from 'axios';

export enum API_ROUTE {
  USER = 'user',
  REGIONS = 'regions'
}

export enum API_ENDPOINT {
  LOGIN = 'login',
  REGISTER = 'join',
  GET_REGIONS = 'get-regions'
}

export enum API {
  LOGIN = `${API_ROUTE.USER}/${API_ENDPOINT.LOGIN}`,
  REGISTER = `${API_ROUTE.USER}/${API_ENDPOINT.REGISTER}`,
  GET_REGIONS = `${API_ROUTE.REGIONS}/${API_ENDPOINT.GET_REGIONS}`
}

export type BaseAxiosError = AxiosError;
